package com.persagy.dc.define.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.persagy.dc.define.entity.ObjectType;

import java.util.List;

/**
 * 对象类型 接口
 * @author Charlie Yu
 * @date 2021-06-25
 */
public interface IObjectTypeService {

    /**
     * 按条件查询
     * @param queryWrapper 查询条件
     * @return 列表
     */
    List<ObjectType> queryByCondition(Wrapper<ObjectType> queryWrapper);

    /**
     * 按条件查询
     * @param page 分页条件
     * @param queryWrapper 查询条件
     * @return 分页结果
     */
    Page queryByCondition(Page page, Wrapper<ObjectType> queryWrapper);

    /**
     * 新增
     * @param vo 待新增数据
     * @return 新增后数据
     */
    ObjectType insert(ObjectType vo);

    /**
     * 修改
     * @param vo 待修改数据
     * @return 修改后数据
     */
    ObjectType update(ObjectType vo);

    /**
     * 删除
     */
    void delete(String id);
}
